GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

    • Node.js

    • Python

      • Installation and Usage
      • Authentication Module

      • Management Module

        • User Management

        • Organization Management

        • Role Management

          • Get Role Details
          • Assign Role
          • Revoke Role
          • Get Role Authorized Resources
          • Get Role Member List
          • Get Role Department List
          • Create Role
          • Get Role List
          • Delete Roles
          • Batch Create Roles
          • Update Role
        • User Group Management

        • Custom Field Management

        • Resource and Permission Management

        • 管理应用

        • 管理身份源

        • 管理安全配置

        • 管理消息服务

        • 管理 Pipeline

        • 管理 Webhook

        • 获取审计日志

        • 管理计量计费

        • 事件
  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Python
  6. /
  7. Management Module

  8. /
  9. Role Management

  10. /
  11. Get Role Department List

¶ Get the department list of the role

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Get the department list of the role through the role code in the permission group, supporting paging.

¶ Method name

ManagementClient.list_role_departments

¶ Request parameters

NameType
Required
Default value
Description
Sample value
codestringyes-Unique identifier of the role in the permission groupmanager
namespacestringno-Code of the permission groupdefault
pagenumberno1Current page number, starting from 11
limitnumberno10Number of pages per page, maximum cannot exceed 50, default is 1010

¶ Request Response

Type: RoleDepartmentListPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataRoleDepartmentListPagingDtoData

Example results:

{
  "statusCode": 200,
  "message": "Success",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "id": "60b49eb83fd80adb96f26e68",
      "code": "code",
      "name": "departmentName",
      "description": "dd8d7stf44"
    }
  }
}

¶ Data Structure

¶ RoleDepartmentListPagingDto

NameType
Required
Description
Sample value
totalCountnumberYesTotal number of records
listarrayYesData Nested type: RoleDepartmentRespDto.

¶ RoleDepartmentRespDto

NameType
Required
Description
Sample value
idstringYesDepartment ID60b49eb83fd80adb96f26e68
codestringYesDepartment codecode
namestringYesDepartment namedepartmentName
descriptionstringYesDepartment descriptiondd8d7stf44
Previous article: Get Role Member List Next article: Create Role
  • Method name
  • Request parameters
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.